IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network225.212.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
- Network address
225.212.0.0- Broadcast address
225.213.255.255- First usable
225.212.0.1- Last usable
225.213.255.254- Usable hosts
- 131,070 (131,072 less the network and broadcast addresses)
- Subnet mask
255.254.0.0- Wildcard mask
0.1.255.255(Cisco ACLs, OSPF)- Prefix length
- /15
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
E1D40000· Integer3788767232to3788898303 - Reverse DNS zones
212.225.in-addr.arpa213.225.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11100001.11010100.00000000.00000000 | 225.212.0.0 |
| Subnet mask | 11111111.11111110.00000000.00000000 | 255.254.0.0 |
| Network | 11100001.11010100.00000000.00000000 | 225.212.0.0 |
| Broadcast | 11100001.11010101.11111111.11111111 | 225.213.255.255 |
Split into smaller subnets
/16 (2)/17 (4)/18 (8)/19 (16)/20 (32)/21 (64)/22 (128)/23 (256)/24 (512)/25 (1,024)/26 (2,048)/27 (4,096)
225.212.0.0/15 makes 256 subnets of /23.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 225.212.0.0/23 | 225.212.0.1 to 225.212.1.254 | 225.212.1.255 | 510 |
| 2 | 225.212.2.0/23 | 225.212.2.1 to 225.212.3.254 | 225.212.3.255 | 510 |
| 3 | 225.212.4.0/23 | 225.212.4.1 to 225.212.5.254 | 225.212.5.255 | 510 |
| 4 | 225.212.6.0/23 | 225.212.6.1 to 225.212.7.254 | 225.212.7.255 | 510 |
| 5 | 225.212.8.0/23 | 225.212.8.1 to 225.212.9.254 | 225.212.9.255 | 510 |
| 6 | 225.212.10.0/23 | 225.212.10.1 to 225.212.11.254 | 225.212.11.255 | 510 |
| 7 | 225.212.12.0/23 | 225.212.12.1 to 225.212.13.254 | 225.212.13.255 | 510 |
| 8 | 225.212.14.0/23 | 225.212.14.1 to 225.212.15.254 | 225.212.15.255 | 510 |
| 9 | 225.212.16.0/23 | 225.212.16.1 to 225.212.17.254 | 225.212.17.255 | 510 |
| 10 | 225.212.18.0/23 | 225.212.18.1 to 225.212.19.254 | 225.212.19.255 | 510 |
| 11 | 225.212.20.0/23 | 225.212.20.1 to 225.212.21.254 | 225.212.21.255 | 510 |
| 12 | 225.212.22.0/23 | 225.212.22.1 to 225.212.23.254 | 225.212.23.255 | 510 |
| 13 | 225.212.24.0/23 | 225.212.24.1 to 225.212.25.254 | 225.212.25.255 | 510 |
| 14 | 225.212.26.0/23 | 225.212.26.1 to 225.212.27.254 | 225.212.27.255 | 510 |
| 15 | 225.212.28.0/23 | 225.212.28.1 to 225.212.29.254 | 225.212.29.255 | 510 |
| 16 | 225.212.30.0/23 | 225.212.30.1 to 225.212.31.254 | 225.212.31.255 | 510 |
| 17 | 225.212.32.0/23 | 225.212.32.1 to 225.212.33.254 | 225.212.33.255 | 510 |
| 18 | 225.212.34.0/23 | 225.212.34.1 to 225.212.35.254 | 225.212.35.255 | 510 |
| 19 | 225.212.36.0/23 | 225.212.36.1 to 225.212.37.254 | 225.212.37.255 | 510 |
| 20 | 225.212.38.0/23 | 225.212.38.1 to 225.212.39.254 | 225.212.39.255 | 510 |
| 21 | 225.212.40.0/23 | 225.212.40.1 to 225.212.41.254 | 225.212.41.255 | 510 |
| 22 | 225.212.42.0/23 | 225.212.42.1 to 225.212.43.254 | 225.212.43.255 | 510 |
| 23 | 225.212.44.0/23 | 225.212.44.1 to 225.212.45.254 | 225.212.45.255 | 510 |
| 24 | 225.212.46.0/23 | 225.212.46.1 to 225.212.47.254 | 225.212.47.255 | 510 |
| 25 | 225.212.48.0/23 | 225.212.48.1 to 225.212.49.254 | 225.212.49.255 | 510 |
| 26 | 225.212.50.0/23 | 225.212.50.1 to 225.212.51.254 | 225.212.51.255 | 510 |
| 27 | 225.212.52.0/23 | 225.212.52.1 to 225.212.53.254 | 225.212.53.255 | 510 |
| 28 | 225.212.54.0/23 | 225.212.54.1 to 225.212.55.254 | 225.212.55.255 | 510 |
| 29 | 225.212.56.0/23 | 225.212.56.1 to 225.212.57.254 | 225.212.57.255 | 510 |
| 30 | 225.212.58.0/23 | 225.212.58.1 to 225.212.59.254 | 225.212.59.255 | 510 |
| 31 | 225.212.60.0/23 | 225.212.60.1 to 225.212.61.254 | 225.212.61.255 | 510 |
| 32 | 225.212.62.0/23 | 225.212.62.1 to 225.212.63.254 | 225.212.63.255 | 510 |
| 33 | 225.212.64.0/23 | 225.212.64.1 to 225.212.65.254 | 225.212.65.255 | 510 |
| 34 | 225.212.66.0/23 | 225.212.66.1 to 225.212.67.254 | 225.212.67.255 | 510 |
| 35 | 225.212.68.0/23 | 225.212.68.1 to 225.212.69.254 | 225.212.69.255 | 510 |
| 36 | 225.212.70.0/23 | 225.212.70.1 to 225.212.71.254 | 225.212.71.255 | 510 |
| 37 | 225.212.72.0/23 | 225.212.72.1 to 225.212.73.254 | 225.212.73.255 | 510 |
| 38 | 225.212.74.0/23 | 225.212.74.1 to 225.212.75.254 | 225.212.75.255 | 510 |
| 39 | 225.212.76.0/23 | 225.212.76.1 to 225.212.77.254 | 225.212.77.255 | 510 |
| 40 | 225.212.78.0/23 | 225.212.78.1 to 225.212.79.254 | 225.212.79.255 | 510 |
| 41 | 225.212.80.0/23 | 225.212.80.1 to 225.212.81.254 | 225.212.81.255 | 510 |
| 42 | 225.212.82.0/23 | 225.212.82.1 to 225.212.83.254 | 225.212.83.255 | 510 |
| 43 | 225.212.84.0/23 | 225.212.84.1 to 225.212.85.254 | 225.212.85.255 | 510 |
| 44 | 225.212.86.0/23 | 225.212.86.1 to 225.212.87.254 | 225.212.87.255 | 510 |
| 45 | 225.212.88.0/23 | 225.212.88.1 to 225.212.89.254 | 225.212.89.255 | 510 |
| 46 | 225.212.90.0/23 | 225.212.90.1 to 225.212.91.254 | 225.212.91.255 | 510 |
| 47 | 225.212.92.0/23 | 225.212.92.1 to 225.212.93.254 | 225.212.93.255 | 510 |
| 48 | 225.212.94.0/23 | 225.212.94.1 to 225.212.95.254 | 225.212.95.255 | 510 |
| 49 | 225.212.96.0/23 | 225.212.96.1 to 225.212.97.254 | 225.212.97.255 | 510 |
| 50 | 225.212.98.0/23 | 225.212.98.1 to 225.212.99.254 | 225.212.99.255 | 510 |
| 51 | 225.212.100.0/23 | 225.212.100.1 to 225.212.101.254 | 225.212.101.255 | 510 |
| 52 | 225.212.102.0/23 | 225.212.102.1 to 225.212.103.254 | 225.212.103.255 | 510 |
| 53 | 225.212.104.0/23 | 225.212.104.1 to 225.212.105.254 | 225.212.105.255 | 510 |
| 54 | 225.212.106.0/23 | 225.212.106.1 to 225.212.107.254 | 225.212.107.255 | 510 |
| 55 | 225.212.108.0/23 | 225.212.108.1 to 225.212.109.254 | 225.212.109.255 | 510 |
| 56 | 225.212.110.0/23 | 225.212.110.1 to 225.212.111.254 | 225.212.111.255 | 510 |
| 57 | 225.212.112.0/23 | 225.212.112.1 to 225.212.113.254 | 225.212.113.255 | 510 |
| 58 | 225.212.114.0/23 | 225.212.114.1 to 225.212.115.254 | 225.212.115.255 | 510 |
| 59 | 225.212.116.0/23 | 225.212.116.1 to 225.212.117.254 | 225.212.117.255 | 510 |
| 60 | 225.212.118.0/23 | 225.212.118.1 to 225.212.119.254 | 225.212.119.255 | 510 |
| 61 | 225.212.120.0/23 | 225.212.120.1 to 225.212.121.254 | 225.212.121.255 | 510 |
| 62 | 225.212.122.0/23 | 225.212.122.1 to 225.212.123.254 | 225.212.123.255 | 510 |
| 63 | 225.212.124.0/23 | 225.212.124.1 to 225.212.125.254 | 225.212.125.255 | 510 |
| 64 | 225.212.126.0/23 | 225.212.126.1 to 225.212.127.254 | 225.212.127.255 | 510 |
| 65 | 225.212.128.0/23 | 225.212.128.1 to 225.212.129.254 | 225.212.129.255 | 510 |
| 66 | 225.212.130.0/23 | 225.212.130.1 to 225.212.131.254 | 225.212.131.255 | 510 |
| 67 | 225.212.132.0/23 | 225.212.132.1 to 225.212.133.254 | 225.212.133.255 | 510 |
| 68 | 225.212.134.0/23 | 225.212.134.1 to 225.212.135.254 | 225.212.135.255 | 510 |
| 69 | 225.212.136.0/23 | 225.212.136.1 to 225.212.137.254 | 225.212.137.255 | 510 |
| 70 | 225.212.138.0/23 | 225.212.138.1 to 225.212.139.254 | 225.212.139.255 | 510 |
| 71 | 225.212.140.0/23 | 225.212.140.1 to 225.212.141.254 | 225.212.141.255 | 510 |
| 72 | 225.212.142.0/23 | 225.212.142.1 to 225.212.143.254 | 225.212.143.255 | 510 |
| 73 | 225.212.144.0/23 | 225.212.144.1 to 225.212.145.254 | 225.212.145.255 | 510 |
| 74 | 225.212.146.0/23 | 225.212.146.1 to 225.212.147.254 | 225.212.147.255 | 510 |
| 75 | 225.212.148.0/23 | 225.212.148.1 to 225.212.149.254 | 225.212.149.255 | 510 |
| 76 | 225.212.150.0/23 | 225.212.150.1 to 225.212.151.254 | 225.212.151.255 | 510 |
| 77 | 225.212.152.0/23 | 225.212.152.1 to 225.212.153.254 | 225.212.153.255 | 510 |
| 78 | 225.212.154.0/23 | 225.212.154.1 to 225.212.155.254 | 225.212.155.255 | 510 |
| 79 | 225.212.156.0/23 | 225.212.156.1 to 225.212.157.254 | 225.212.157.255 | 510 |
| 80 | 225.212.158.0/23 | 225.212.158.1 to 225.212.159.254 | 225.212.159.255 | 510 |
| 81 | 225.212.160.0/23 | 225.212.160.1 to 225.212.161.254 | 225.212.161.255 | 510 |
| 82 | 225.212.162.0/23 | 225.212.162.1 to 225.212.163.254 | 225.212.163.255 | 510 |
| 83 | 225.212.164.0/23 | 225.212.164.1 to 225.212.165.254 | 225.212.165.255 | 510 |
| 84 | 225.212.166.0/23 | 225.212.166.1 to 225.212.167.254 | 225.212.167.255 | 510 |
| 85 | 225.212.168.0/23 | 225.212.168.1 to 225.212.169.254 | 225.212.169.255 | 510 |
| 86 | 225.212.170.0/23 | 225.212.170.1 to 225.212.171.254 | 225.212.171.255 | 510 |
| 87 | 225.212.172.0/23 | 225.212.172.1 to 225.212.173.254 | 225.212.173.255 | 510 |
| 88 | 225.212.174.0/23 | 225.212.174.1 to 225.212.175.254 | 225.212.175.255 | 510 |
| 89 | 225.212.176.0/23 | 225.212.176.1 to 225.212.177.254 | 225.212.177.255 | 510 |
| 90 | 225.212.178.0/23 | 225.212.178.1 to 225.212.179.254 | 225.212.179.255 | 510 |
| 91 | 225.212.180.0/23 | 225.212.180.1 to 225.212.181.254 | 225.212.181.255 | 510 |
| 92 | 225.212.182.0/23 | 225.212.182.1 to 225.212.183.254 | 225.212.183.255 | 510 |
| 93 | 225.212.184.0/23 | 225.212.184.1 to 225.212.185.254 | 225.212.185.255 | 510 |
| 94 | 225.212.186.0/23 | 225.212.186.1 to 225.212.187.254 | 225.212.187.255 | 510 |
| 95 | 225.212.188.0/23 | 225.212.188.1 to 225.212.189.254 | 225.212.189.255 | 510 |
| 96 | 225.212.190.0/23 | 225.212.190.1 to 225.212.191.254 | 225.212.191.255 | 510 |
| 97 | 225.212.192.0/23 | 225.212.192.1 to 225.212.193.254 | 225.212.193.255 | 510 |
| 98 | 225.212.194.0/23 | 225.212.194.1 to 225.212.195.254 | 225.212.195.255 | 510 |
| 99 | 225.212.196.0/23 | 225.212.196.1 to 225.212.197.254 | 225.212.197.255 | 510 |
| 100 | 225.212.198.0/23 | 225.212.198.1 to 225.212.199.254 | 225.212.199.255 | 510 |
| 101 | 225.212.200.0/23 | 225.212.200.1 to 225.212.201.254 | 225.212.201.255 | 510 |
| 102 | 225.212.202.0/23 | 225.212.202.1 to 225.212.203.254 | 225.212.203.255 | 510 |
| 103 | 225.212.204.0/23 | 225.212.204.1 to 225.212.205.254 | 225.212.205.255 | 510 |
| 104 | 225.212.206.0/23 | 225.212.206.1 to 225.212.207.254 | 225.212.207.255 | 510 |
| 105 | 225.212.208.0/23 | 225.212.208.1 to 225.212.209.254 | 225.212.209.255 | 510 |
| 106 | 225.212.210.0/23 | 225.212.210.1 to 225.212.211.254 | 225.212.211.255 | 510 |
| 107 | 225.212.212.0/23 | 225.212.212.1 to 225.212.213.254 | 225.212.213.255 | 510 |
| 108 | 225.212.214.0/23 | 225.212.214.1 to 225.212.215.254 | 225.212.215.255 | 510 |
| 109 | 225.212.216.0/23 | 225.212.216.1 to 225.212.217.254 | 225.212.217.255 | 510 |
| 110 | 225.212.218.0/23 | 225.212.218.1 to 225.212.219.254 | 225.212.219.255 | 510 |
| 111 | 225.212.220.0/23 | 225.212.220.1 to 225.212.221.254 | 225.212.221.255 | 510 |
| 112 | 225.212.222.0/23 | 225.212.222.1 to 225.212.223.254 | 225.212.223.255 | 510 |
| 113 | 225.212.224.0/23 | 225.212.224.1 to 225.212.225.254 | 225.212.225.255 | 510 |
| 114 | 225.212.226.0/23 | 225.212.226.1 to 225.212.227.254 | 225.212.227.255 | 510 |
| 115 | 225.212.228.0/23 | 225.212.228.1 to 225.212.229.254 | 225.212.229.255 | 510 |
| 116 | 225.212.230.0/23 | 225.212.230.1 to 225.212.231.254 | 225.212.231.255 | 510 |
| 117 | 225.212.232.0/23 | 225.212.232.1 to 225.212.233.254 | 225.212.233.255 | 510 |
| 118 | 225.212.234.0/23 | 225.212.234.1 to 225.212.235.254 | 225.212.235.255 | 510 |
| 119 | 225.212.236.0/23 | 225.212.236.1 to 225.212.237.254 | 225.212.237.255 | 510 |
| 120 | 225.212.238.0/23 | 225.212.238.1 to 225.212.239.254 | 225.212.239.255 | 510 |
| 121 | 225.212.240.0/23 | 225.212.240.1 to 225.212.241.254 | 225.212.241.255 | 510 |
| 122 | 225.212.242.0/23 | 225.212.242.1 to 225.212.243.254 | 225.212.243.255 | 510 |
| 123 | 225.212.244.0/23 | 225.212.244.1 to 225.212.245.254 | 225.212.245.255 | 510 |
| 124 | 225.212.246.0/23 | 225.212.246.1 to 225.212.247.254 | 225.212.247.255 | 510 |
| 125 | 225.212.248.0/23 | 225.212.248.1 to 225.212.249.254 | 225.212.249.255 | 510 |
| 126 | 225.212.250.0/23 | 225.212.250.1 to 225.212.251.254 | 225.212.251.255 | 510 |
| 127 | 225.212.252.0/23 | 225.212.252.1 to 225.212.253.254 | 225.212.253.255 | 510 |
| 128 | 225.212.254.0/23 | 225.212.254.1 to 225.212.255.254 | 225.212.255.255 | 510 |
| 129 | 225.213.0.0/23 | 225.213.0.1 to 225.213.1.254 | 225.213.1.255 | 510 |
| 130 | 225.213.2.0/23 | 225.213.2.1 to 225.213.3.254 | 225.213.3.255 | 510 |
| 131 | 225.213.4.0/23 | 225.213.4.1 to 225.213.5.254 | 225.213.5.255 | 510 |
| 132 | 225.213.6.0/23 | 225.213.6.1 to 225.213.7.254 | 225.213.7.255 | 510 |
| 133 | 225.213.8.0/23 | 225.213.8.1 to 225.213.9.254 | 225.213.9.255 | 510 |
| 134 | 225.213.10.0/23 | 225.213.10.1 to 225.213.11.254 | 225.213.11.255 | 510 |
| 135 | 225.213.12.0/23 | 225.213.12.1 to 225.213.13.254 | 225.213.13.255 | 510 |
| 136 | 225.213.14.0/23 | 225.213.14.1 to 225.213.15.254 | 225.213.15.255 | 510 |
| 137 | 225.213.16.0/23 | 225.213.16.1 to 225.213.17.254 | 225.213.17.255 | 510 |
| 138 | 225.213.18.0/23 | 225.213.18.1 to 225.213.19.254 | 225.213.19.255 | 510 |
| 139 | 225.213.20.0/23 | 225.213.20.1 to 225.213.21.254 | 225.213.21.255 | 510 |
| 140 | 225.213.22.0/23 | 225.213.22.1 to 225.213.23.254 | 225.213.23.255 | 510 |
| 141 | 225.213.24.0/23 | 225.213.24.1 to 225.213.25.254 | 225.213.25.255 | 510 |
| 142 | 225.213.26.0/23 | 225.213.26.1 to 225.213.27.254 | 225.213.27.255 | 510 |
| 143 | 225.213.28.0/23 | 225.213.28.1 to 225.213.29.254 | 225.213.29.255 | 510 |
| 144 | 225.213.30.0/23 | 225.213.30.1 to 225.213.31.254 | 225.213.31.255 | 510 |
| 145 | 225.213.32.0/23 | 225.213.32.1 to 225.213.33.254 | 225.213.33.255 | 510 |
| 146 | 225.213.34.0/23 | 225.213.34.1 to 225.213.35.254 | 225.213.35.255 | 510 |
| 147 | 225.213.36.0/23 | 225.213.36.1 to 225.213.37.254 | 225.213.37.255 | 510 |
| 148 | 225.213.38.0/23 | 225.213.38.1 to 225.213.39.254 | 225.213.39.255 | 510 |
| 149 | 225.213.40.0/23 | 225.213.40.1 to 225.213.41.254 | 225.213.41.255 | 510 |
| 150 | 225.213.42.0/23 | 225.213.42.1 to 225.213.43.254 | 225.213.43.255 | 510 |
| 151 | 225.213.44.0/23 | 225.213.44.1 to 225.213.45.254 | 225.213.45.255 | 510 |
| 152 | 225.213.46.0/23 | 225.213.46.1 to 225.213.47.254 | 225.213.47.255 | 510 |
| 153 | 225.213.48.0/23 | 225.213.48.1 to 225.213.49.254 | 225.213.49.255 | 510 |
| 154 | 225.213.50.0/23 | 225.213.50.1 to 225.213.51.254 | 225.213.51.255 | 510 |
| 155 | 225.213.52.0/23 | 225.213.52.1 to 225.213.53.254 | 225.213.53.255 | 510 |
| 156 | 225.213.54.0/23 | 225.213.54.1 to 225.213.55.254 | 225.213.55.255 | 510 |
| 157 | 225.213.56.0/23 | 225.213.56.1 to 225.213.57.254 | 225.213.57.255 | 510 |
| 158 | 225.213.58.0/23 | 225.213.58.1 to 225.213.59.254 | 225.213.59.255 | 510 |
| 159 | 225.213.60.0/23 | 225.213.60.1 to 225.213.61.254 | 225.213.61.255 | 510 |
| 160 | 225.213.62.0/23 | 225.213.62.1 to 225.213.63.254 | 225.213.63.255 | 510 |
| 161 | 225.213.64.0/23 | 225.213.64.1 to 225.213.65.254 | 225.213.65.255 | 510 |
| 162 | 225.213.66.0/23 | 225.213.66.1 to 225.213.67.254 | 225.213.67.255 | 510 |
| 163 | 225.213.68.0/23 | 225.213.68.1 to 225.213.69.254 | 225.213.69.255 | 510 |
| 164 | 225.213.70.0/23 | 225.213.70.1 to 225.213.71.254 | 225.213.71.255 | 510 |
| 165 | 225.213.72.0/23 | 225.213.72.1 to 225.213.73.254 | 225.213.73.255 | 510 |
| 166 | 225.213.74.0/23 | 225.213.74.1 to 225.213.75.254 | 225.213.75.255 | 510 |
| 167 | 225.213.76.0/23 | 225.213.76.1 to 225.213.77.254 | 225.213.77.255 | 510 |
| 168 | 225.213.78.0/23 | 225.213.78.1 to 225.213.79.254 | 225.213.79.255 | 510 |
| 169 | 225.213.80.0/23 | 225.213.80.1 to 225.213.81.254 | 225.213.81.255 | 510 |
| 170 | 225.213.82.0/23 | 225.213.82.1 to 225.213.83.254 | 225.213.83.255 | 510 |
| 171 | 225.213.84.0/23 | 225.213.84.1 to 225.213.85.254 | 225.213.85.255 | 510 |
| 172 | 225.213.86.0/23 | 225.213.86.1 to 225.213.87.254 | 225.213.87.255 | 510 |
| 173 | 225.213.88.0/23 | 225.213.88.1 to 225.213.89.254 | 225.213.89.255 | 510 |
| 174 | 225.213.90.0/23 | 225.213.90.1 to 225.213.91.254 | 225.213.91.255 | 510 |
| 175 | 225.213.92.0/23 | 225.213.92.1 to 225.213.93.254 | 225.213.93.255 | 510 |
| 176 | 225.213.94.0/23 | 225.213.94.1 to 225.213.95.254 | 225.213.95.255 | 510 |
| 177 | 225.213.96.0/23 | 225.213.96.1 to 225.213.97.254 | 225.213.97.255 | 510 |
| 178 | 225.213.98.0/23 | 225.213.98.1 to 225.213.99.254 | 225.213.99.255 | 510 |
| 179 | 225.213.100.0/23 | 225.213.100.1 to 225.213.101.254 | 225.213.101.255 | 510 |
| 180 | 225.213.102.0/23 | 225.213.102.1 to 225.213.103.254 | 225.213.103.255 | 510 |
| 181 | 225.213.104.0/23 | 225.213.104.1 to 225.213.105.254 | 225.213.105.255 | 510 |
| 182 | 225.213.106.0/23 | 225.213.106.1 to 225.213.107.254 | 225.213.107.255 | 510 |
| 183 | 225.213.108.0/23 | 225.213.108.1 to 225.213.109.254 | 225.213.109.255 | 510 |
| 184 | 225.213.110.0/23 | 225.213.110.1 to 225.213.111.254 | 225.213.111.255 | 510 |
| 185 | 225.213.112.0/23 | 225.213.112.1 to 225.213.113.254 | 225.213.113.255 | 510 |
| 186 | 225.213.114.0/23 | 225.213.114.1 to 225.213.115.254 | 225.213.115.255 | 510 |
| 187 | 225.213.116.0/23 | 225.213.116.1 to 225.213.117.254 | 225.213.117.255 | 510 |
| 188 | 225.213.118.0/23 | 225.213.118.1 to 225.213.119.254 | 225.213.119.255 | 510 |
| 189 | 225.213.120.0/23 | 225.213.120.1 to 225.213.121.254 | 225.213.121.255 | 510 |
| 190 | 225.213.122.0/23 | 225.213.122.1 to 225.213.123.254 | 225.213.123.255 | 510 |
| 191 | 225.213.124.0/23 | 225.213.124.1 to 225.213.125.254 | 225.213.125.255 | 510 |
| 192 | 225.213.126.0/23 | 225.213.126.1 to 225.213.127.254 | 225.213.127.255 | 510 |
| 193 | 225.213.128.0/23 | 225.213.128.1 to 225.213.129.254 | 225.213.129.255 | 510 |
| 194 | 225.213.130.0/23 | 225.213.130.1 to 225.213.131.254 | 225.213.131.255 | 510 |
| 195 | 225.213.132.0/23 | 225.213.132.1 to 225.213.133.254 | 225.213.133.255 | 510 |
| 196 | 225.213.134.0/23 | 225.213.134.1 to 225.213.135.254 | 225.213.135.255 | 510 |
| 197 | 225.213.136.0/23 | 225.213.136.1 to 225.213.137.254 | 225.213.137.255 | 510 |
| 198 | 225.213.138.0/23 | 225.213.138.1 to 225.213.139.254 | 225.213.139.255 | 510 |
| 199 | 225.213.140.0/23 | 225.213.140.1 to 225.213.141.254 | 225.213.141.255 | 510 |
| 200 | 225.213.142.0/23 | 225.213.142.1 to 225.213.143.254 | 225.213.143.255 | 510 |
| 201 | 225.213.144.0/23 | 225.213.144.1 to 225.213.145.254 | 225.213.145.255 | 510 |
| 202 | 225.213.146.0/23 | 225.213.146.1 to 225.213.147.254 | 225.213.147.255 | 510 |
| 203 | 225.213.148.0/23 | 225.213.148.1 to 225.213.149.254 | 225.213.149.255 | 510 |
| 204 | 225.213.150.0/23 | 225.213.150.1 to 225.213.151.254 | 225.213.151.255 | 510 |
| 205 | 225.213.152.0/23 | 225.213.152.1 to 225.213.153.254 | 225.213.153.255 | 510 |
| 206 | 225.213.154.0/23 | 225.213.154.1 to 225.213.155.254 | 225.213.155.255 | 510 |
| 207 | 225.213.156.0/23 | 225.213.156.1 to 225.213.157.254 | 225.213.157.255 | 510 |
| 208 | 225.213.158.0/23 | 225.213.158.1 to 225.213.159.254 | 225.213.159.255 | 510 |
| 209 | 225.213.160.0/23 | 225.213.160.1 to 225.213.161.254 | 225.213.161.255 | 510 |
| 210 | 225.213.162.0/23 | 225.213.162.1 to 225.213.163.254 | 225.213.163.255 | 510 |
| 211 | 225.213.164.0/23 | 225.213.164.1 to 225.213.165.254 | 225.213.165.255 | 510 |
| 212 | 225.213.166.0/23 | 225.213.166.1 to 225.213.167.254 | 225.213.167.255 | 510 |
| 213 | 225.213.168.0/23 | 225.213.168.1 to 225.213.169.254 | 225.213.169.255 | 510 |
| 214 | 225.213.170.0/23 | 225.213.170.1 to 225.213.171.254 | 225.213.171.255 | 510 |
| 215 | 225.213.172.0/23 | 225.213.172.1 to 225.213.173.254 | 225.213.173.255 | 510 |
| 216 | 225.213.174.0/23 | 225.213.174.1 to 225.213.175.254 | 225.213.175.255 | 510 |
| 217 | 225.213.176.0/23 | 225.213.176.1 to 225.213.177.254 | 225.213.177.255 | 510 |
| 218 | 225.213.178.0/23 | 225.213.178.1 to 225.213.179.254 | 225.213.179.255 | 510 |
| 219 | 225.213.180.0/23 | 225.213.180.1 to 225.213.181.254 | 225.213.181.255 | 510 |
| 220 | 225.213.182.0/23 | 225.213.182.1 to 225.213.183.254 | 225.213.183.255 | 510 |
| 221 | 225.213.184.0/23 | 225.213.184.1 to 225.213.185.254 | 225.213.185.255 | 510 |
| 222 | 225.213.186.0/23 | 225.213.186.1 to 225.213.187.254 | 225.213.187.255 | 510 |
| 223 | 225.213.188.0/23 | 225.213.188.1 to 225.213.189.254 | 225.213.189.255 | 510 |
| 224 | 225.213.190.0/23 | 225.213.190.1 to 225.213.191.254 | 225.213.191.255 | 510 |
| 225 | 225.213.192.0/23 | 225.213.192.1 to 225.213.193.254 | 225.213.193.255 | 510 |
| 226 | 225.213.194.0/23 | 225.213.194.1 to 225.213.195.254 | 225.213.195.255 | 510 |
| 227 | 225.213.196.0/23 | 225.213.196.1 to 225.213.197.254 | 225.213.197.255 | 510 |
| 228 | 225.213.198.0/23 | 225.213.198.1 to 225.213.199.254 | 225.213.199.255 | 510 |
| 229 | 225.213.200.0/23 | 225.213.200.1 to 225.213.201.254 | 225.213.201.255 | 510 |
| 230 | 225.213.202.0/23 | 225.213.202.1 to 225.213.203.254 | 225.213.203.255 | 510 |
| 231 | 225.213.204.0/23 | 225.213.204.1 to 225.213.205.254 | 225.213.205.255 | 510 |
| 232 | 225.213.206.0/23 | 225.213.206.1 to 225.213.207.254 | 225.213.207.255 | 510 |
| 233 | 225.213.208.0/23 | 225.213.208.1 to 225.213.209.254 | 225.213.209.255 | 510 |
| 234 | 225.213.210.0/23 | 225.213.210.1 to 225.213.211.254 | 225.213.211.255 | 510 |
| 235 | 225.213.212.0/23 | 225.213.212.1 to 225.213.213.254 | 225.213.213.255 | 510 |
| 236 | 225.213.214.0/23 | 225.213.214.1 to 225.213.215.254 | 225.213.215.255 | 510 |
| 237 | 225.213.216.0/23 | 225.213.216.1 to 225.213.217.254 | 225.213.217.255 | 510 |
| 238 | 225.213.218.0/23 | 225.213.218.1 to 225.213.219.254 | 225.213.219.255 | 510 |
| 239 | 225.213.220.0/23 | 225.213.220.1 to 225.213.221.254 | 225.213.221.255 | 510 |
| 240 | 225.213.222.0/23 | 225.213.222.1 to 225.213.223.254 | 225.213.223.255 | 510 |
| 241 | 225.213.224.0/23 | 225.213.224.1 to 225.213.225.254 | 225.213.225.255 | 510 |
| 242 | 225.213.226.0/23 | 225.213.226.1 to 225.213.227.254 | 225.213.227.255 | 510 |
| 243 | 225.213.228.0/23 | 225.213.228.1 to 225.213.229.254 | 225.213.229.255 | 510 |
| 244 | 225.213.230.0/23 | 225.213.230.1 to 225.213.231.254 | 225.213.231.255 | 510 |
| 245 | 225.213.232.0/23 | 225.213.232.1 to 225.213.233.254 | 225.213.233.255 | 510 |
| 246 | 225.213.234.0/23 | 225.213.234.1 to 225.213.235.254 | 225.213.235.255 | 510 |
| 247 | 225.213.236.0/23 | 225.213.236.1 to 225.213.237.254 | 225.213.237.255 | 510 |
| 248 | 225.213.238.0/23 | 225.213.238.1 to 225.213.239.254 | 225.213.239.255 | 510 |
| 249 | 225.213.240.0/23 | 225.213.240.1 to 225.213.241.254 | 225.213.241.255 | 510 |
| 250 | 225.213.242.0/23 | 225.213.242.1 to 225.213.243.254 | 225.213.243.255 | 510 |
| 251 | 225.213.244.0/23 | 225.213.244.1 to 225.213.245.254 | 225.213.245.255 | 510 |
| 252 | 225.213.246.0/23 | 225.213.246.1 to 225.213.247.254 | 225.213.247.255 | 510 |
| 253 | 225.213.248.0/23 | 225.213.248.1 to 225.213.249.254 | 225.213.249.255 | 510 |
| 254 | 225.213.250.0/23 | 225.213.250.1 to 225.213.251.254 | 225.213.251.255 | 510 |
| 255 | 225.213.252.0/23 | 225.213.252.1 to 225.213.253.254 | 225.213.253.255 | 510 |
| 256 | 225.213.254.0/23 | 225.213.254.1 to 225.213.255.254 | 225.213.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |